## com.baidubce.services.moladb.model
Class GetTableRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.GetTableRequest

    public class GetTableRequest

extends AbstractBceRequest

Represents the input of a GetTable operation.

Constructor Summary
`GetTableRequest()` Constructs a new GetTableRequest object.
`GetTableRequest(String tableName)` Constructs a new GetTableRequest object.

Method Summary
`String` `getTableName()` Get the name of the table from this object.
`void` `setTableName(String tableName)` Set the name of the table for this object.
`GetTableRequest` `withRequestCredentials(BceCredentials credentials)`
`GetTableRequest` `withTableName(String tableName)` Set the name of the table for this object.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTableRequest

    public GetTableRequest()

  Constructs a new GetTableRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

### GetTableRequest

    public GetTableRequest(String tableName)

  Constructs a new GetTableRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `tableName` - The name of the table from which to get information.

Method Detail

### withTableName

    public GetTableRequest withTableName(String tableName)

  Set the name of the table for this object.

  Parameters:
    `tableName` - The name of the table to be set.
  Returns:
    A reference to this object so that method calls can be chained together.

### setTableName

    public void setTableName(String tableName)

  Set the name of the table for this object.

  Parameters:
    `tableName` - The name of the table to be set.

### getTableName

    public String getTableName()

  Get the name of the table from this object.

  Returns:
    The name of the table.

### withRequestCredentials

    public GetTableRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.